﻿<!DOCTYPE html>
<html>
<head>
  <link rel="icon" type="image/svg" sizes="32x32" href="symbols/favicon.svg">
  <title>Lost on Earth</title>
  <meta name="description" content="Lost on Earth ist ein einfaches Spiel. Man landet irgendwo auf der Erde und muss rausfinden, wo man ist." />
  <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyAj_oZeq6z3BnWFtE2Fwmh8RmquS5ar5xA&libraries=geometry"></script>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.0/jquery.min.js"></script>
  <script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>
  <link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
  <script src="scripts/utils.js"></script>
  <script src="scripts/main.js"></script>
	<style type="text/css">  
    .button-game {
      position: fixed;
      left: 2%;
      top: calc(90% - 10%);
      height: 11%; width: 20%;
      border-radius: 10px;
      color: white;
      font-weight: bold;
      font-size: xx-large;
      z-index: 10;
    }          
  </style>    
</head>
<body>
  <div id="googleMap" style="width:1180px;height:800px;z-index:10;"></div>
  <img id="guessMapCenterSymbol" src="symbols/PositionGuess.svg" style="position: fixed;left: calc(50vw - 24px); top: calc(50vh - 48px);z-index:12;visibility: hidden;"></div>
  <div id="miMainMenu" class="w3-dropdown-hover w3-border-left w3-right" style="position: fixed;left: 2vw; top: 10vh;width:10vw;height:10vh;z-index:14;">
    <img src="symbols/Menu.svg" alt="Menü" class="w3-button" style="background-color:rgba(211, 211, 211, 0.582);"/>
    <div class="w3-dropdown-content w3-bar-block w3-card-4">
      <a href="#" class="w3-bar-item w3-button" onclick="{gameMode='withLinksOnly';startNewGame();}" id="miPicMapElementFilterPage">Leichtes Spiel</a>
      <a href="#" class="w3-bar-item w3-button" onclick="{gameMode='withoutLinks';startNewGame();}" id="miSummaryPage">Schweres Spiel</a>
      <a href="#" class="w3-bar-item w3-button" onclick="testRandomGeoPositions()" id="miSummaryPage">Verteilung testen</a>
      <a href="#" class="w3-bar-item w3-button" onclick="showHelpInfo(true)" id="miSummaryPage">Hilfe</a>
    </div>
  </div>
  <div id="userHint" class="w3-container w3-green w3-large w3-opacity" style="position: fixed;left: 13vw; top: 10vh;width:84vw;z-index:60;">
    <h2 id="userHintContent">Lost on Earth</h2>
  </div>
  <div id="helpInfo" class="w3-container w3-light-grey w3-large" style="position: fixed;left: 15vw; top: 15vh;width:70vw;height:70vh;z-index:60;visibility: visible;">
    <h1><img src="symbols/favicon.svg"/> Lost on Earth</h1>
    <p>Ein einfaches Spiel, bei dem man irgendwo auf der Erde landet und herausfinden muss, wo man ist.</p>
    <p>Man bekommt eine Google StreetView Ansicht angezeigt und kann darin navigieren. Bei der leichten Variante kann man sich auch zu benachbarten Ansichten bewegen, bei der schweren wird nur ein 360°-Bild angezeigt.</p>
    <p>3 Sekunden nach dem Start des Spiels erscheint ein brauner Taster 'Position raten'; wenn gedrückt, wird in eine Maps-Ansicht gewechselt. Auf dieser muss man dann die vermutete Position in die Mitte des Fensters bringen, dann den grünen Taster 'Auflösen' drücken. Dann werden die geratene und die tatsächliche Position sowie ein Verbindungspfeil angezeigt. Oben wird die Distanz in Kilometern angezeigt.</p>
    <p>Diese Webseite benutzt keine Cookies und sammelt keine Daten. Sie wurde von Franz Häring erstellt und ist privat und nicht-komerziell. Kontakt: f.x.haering@gmail.com.</p>
    <p>Die Webseite benutzt die Google Maps API.</p>
    <p>Die Webseite ist quelloffen (Open Source). Der Quellcode ist auf <a href="https://gitlab.com/f.x.haering/lost" target="blank" >https://gitlab.com/f.x.haering/lost</a> einsehbar.</p>
    <button id="helpInfoOk" class="w3-btn w3-display-topright" onclick="showHelpInfo(false)">
      <img src="symbols/Close.svg" alt="Menü" class="w3-button"/>
    </button>
  </div>
  <button id="startGame" class="button-game" style="background-color: rgba(33, 105, 212, 0.534);z-index:12;" onclick="{startNewGame();}">Neues Spiel</button>
  <button id="guessGeoPosition" class="button-game" style="background-color: rgba(214, 93, 13, 0.534);z-index:12;" onclick="{guessGeoPosition();}">Position raten</button>
  <button id="solveGame" class="button-game" style="background-color: rgba(32, 189, 11, 0.534);z-index:12;" onclick="{solveGame();}">Auflösung</button>
  <button id="startingNewGame" class="button-game" style="background-color: rgba(247, 243, 20, 0.493);z-index:12;">Suche...</button>
  <script>
    google.maps.event.addDomListener(window, 'load', initialize);
    $win.on('resize',function(){
      resizeMap();
    });
  </script>
</body>
</html>
